
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>utils.brms_transformer module &#8212; DataMAx 0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-utils.brms_transformer">
<span id="utils-brms-transformer-module"></span><h1>utils.brms_transformer module<a class="headerlink" href="#module-utils.brms_transformer" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="utils.brms_transformer.TreeToJson">
<em class="property">class </em><code class="sig-prename descclassname">utils.brms_transformer.</code><code class="sig-name descname">TreeToJson</code><span class="sig-paren">(</span><em class="sig-param">datasets: entity.datasets.Datasets</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">lark.visitors.Transformer</span></code></p>
<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.filter_rule">
<code class="sig-name descname">filter_rule</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.filter_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.filter_row">
<code class="sig-name descname">filter_row</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.filter_row" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.filter_column">
<code class="sig-name descname">filter_column</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.filter_column" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.join">
<code class="sig-name descname">join</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.join" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.join_distinct">
<code class="sig-name descname">join_distinct</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.join_distinct" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.derived">
<code class="sig-name descname">derived</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.derived" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.analytical">
<code class="sig-name descname">analytical</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.analytical" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.aggregate">
<code class="sig-name descname">aggregate</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.aggregate" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.aggregate_having">
<code class="sig-name descname">aggregate_having</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.aggregate_having" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.partition">
<code class="sig-name descname">partition</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.partition" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.dedupe">
<code class="sig-name descname">dedupe</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.dedupe" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.union">
<code class="sig-name descname">union</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.union" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.union_filter">
<code class="sig-name descname">union_filter</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.union_filter" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.union_all">
<code class="sig-name descname">union_all</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.union_all" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.union_all_filter">
<code class="sig-name descname">union_all_filter</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.union_all_filter" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.custom">
<code class="sig-name descname">custom</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.custom" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.columns">
<code class="sig-name descname">columns</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.columns" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.or_rule">
<code class="sig-name descname">or_rule</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.or_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.and_rule">
<code class="sig-name descname">and_rule</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.and_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.condition">
<code class="sig-name descname">condition</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.condition" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.join_rules">
<code class="sig-name descname">join_rules</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.join_rules" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.join_rule">
<code class="sig-name descname">join_rule</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.join_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.join_expressions">
<code class="sig-name descname">join_expressions</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.join_expressions" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.partition_expressions">
<code class="sig-name descname">partition_expressions</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.partition_expressions" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.join_expr">
<code class="sig-name descname">join_expr</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.join_expr" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.table_columns">
<code class="sig-name descname">table_columns</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.table_columns" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.formula">
<code class="sig-name descname">formula</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.formula" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.partition_formula">
<code class="sig-name descname">partition_formula</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.partition_formula" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.case">
<code class="sig-name descname">case</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.case" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.case_expression">
<code class="sig-name descname">case_expression</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.case_expression" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.when_rule">
<code class="sig-name descname">when_rule</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.when_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.else_rule">
<code class="sig-name descname">else_rule</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.else_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.column_expressions">
<code class="sig-name descname">column_expressions</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.column_expressions" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.parameters">
<code class="sig-name descname">parameters</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.parameters" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.parameter">
<code class="sig-name descname">parameter</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.parameter" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.custom_columns">
<code class="sig-name descname">custom_columns</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.custom_columns" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.new_custom_column">
<code class="sig-name descname">new_custom_column</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.new_custom_column" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToJson.existing_custom_column">
<code class="sig-name descname">existing_custom_column</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToJson.existing_custom_column" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="utils.brms_transformer.JSONIntegrity">
<em class="property">class </em><code class="sig-prename descclassname">utils.brms_transformer.</code><code class="sig-name descname">JSONIntegrity</code><span class="sig-paren">(</span><em class="sig-param">datasets: entity.datasets.Datasets</em>, <em class="sig-param">json: dict</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.JSONIntegrity" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">lark.visitors.Transformer</span></code></p>
<dl class="method">
<dt id="utils.brms_transformer.JSONIntegrity.filter_rule">
<code class="sig-name descname">filter_rule</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.JSONIntegrity.filter_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.JSONIntegrity.filter_column">
<code class="sig-name descname">filter_column</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.JSONIntegrity.filter_column" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.JSONIntegrity.filter_row">
<code class="sig-name descname">filter_row</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.JSONIntegrity.filter_row" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.JSONIntegrity.join">
<code class="sig-name descname">join</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.JSONIntegrity.join" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.JSONIntegrity.join_distinct">
<code class="sig-name descname">join_distinct</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.JSONIntegrity.join_distinct" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.JSONIntegrity.derived">
<code class="sig-name descname">derived</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.JSONIntegrity.derived" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.JSONIntegrity.analytical">
<code class="sig-name descname">analytical</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.JSONIntegrity.analytical" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.JSONIntegrity.aggregate">
<code class="sig-name descname">aggregate</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.JSONIntegrity.aggregate" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.JSONIntegrity.aggregate_having">
<code class="sig-name descname">aggregate_having</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.JSONIntegrity.aggregate_having" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.JSONIntegrity.partition">
<code class="sig-name descname">partition</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.JSONIntegrity.partition" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.JSONIntegrity.dedupe">
<code class="sig-name descname">dedupe</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.JSONIntegrity.dedupe" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.JSONIntegrity.union">
<code class="sig-name descname">union</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.JSONIntegrity.union" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.JSONIntegrity.union_filter">
<code class="sig-name descname">union_filter</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.JSONIntegrity.union_filter" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.JSONIntegrity.union_all">
<code class="sig-name descname">union_all</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.JSONIntegrity.union_all" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.JSONIntegrity.union_all_filter">
<code class="sig-name descname">union_all_filter</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.JSONIntegrity.union_all_filter" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.JSONIntegrity.custom">
<code class="sig-name descname">custom</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.JSONIntegrity.custom" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.JSONIntegrity.condition">
<code class="sig-name descname">condition</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.JSONIntegrity.condition" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.JSONIntegrity.join_expr">
<code class="sig-name descname">join_expr</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.JSONIntegrity.join_expr" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="utils.brms_transformer.TreeToPostgreSQL">
<em class="property">class </em><code class="sig-prename descclassname">utils.brms_transformer.</code><code class="sig-name descname">TreeToPostgreSQL</code><span class="sig-paren">(</span><em class="sig-param">json: dict</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">lark.visitors.Transformer</span></code></p>
<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.filter_rule">
<code class="sig-name descname">filter_rule</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.filter_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.filter_column">
<code class="sig-name descname">filter_column</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.filter_column" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.filter_row">
<code class="sig-name descname">filter_row</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.filter_row" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.join">
<code class="sig-name descname">join</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.join" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.join_distinct">
<code class="sig-name descname">join_distinct</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.join_distinct" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.derived">
<code class="sig-name descname">derived</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.derived" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.analytical">
<code class="sig-name descname">analytical</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.analytical" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.aggregate">
<code class="sig-name descname">aggregate</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.aggregate" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.aggregate_having">
<code class="sig-name descname">aggregate_having</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.aggregate_having" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.partition">
<code class="sig-name descname">partition</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.partition" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.dedupe">
<code class="sig-name descname">dedupe</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.dedupe" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.union">
<code class="sig-name descname">union</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.union" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.union_filter">
<code class="sig-name descname">union_filter</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.union_filter" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.union_all">
<code class="sig-name descname">union_all</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.union_all" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.union_all_filter">
<code class="sig-name descname">union_all_filter</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.union_all_filter" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.custom">
<code class="sig-name descname">custom</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.custom" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.columns">
<code class="sig-name descname">columns</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.columns" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.or_rule">
<code class="sig-name descname">or_rule</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.or_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.and_rule">
<code class="sig-name descname">and_rule</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.and_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.condition">
<code class="sig-name descname">condition</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.condition" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.join_rules">
<code class="sig-name descname">join_rules</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.join_rules" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.join_rule">
<code class="sig-name descname">join_rule</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.join_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.join_expressions">
<code class="sig-name descname">join_expressions</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.join_expressions" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.partition_expressions">
<code class="sig-name descname">partition_expressions</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.partition_expressions" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.join_expr">
<code class="sig-name descname">join_expr</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.join_expr" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.table_columns">
<code class="sig-name descname">table_columns</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.table_columns" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.formula">
<code class="sig-name descname">formula</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.formula" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.partition_formula">
<code class="sig-name descname">partition_formula</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.partition_formula" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.case">
<code class="sig-name descname">case</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.case" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.case_expression">
<code class="sig-name descname">case_expression</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.case_expression" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.when_rule">
<code class="sig-name descname">when_rule</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.when_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.else_rule">
<code class="sig-name descname">else_rule</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.else_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.column_expressions">
<code class="sig-name descname">column_expressions</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.column_expressions" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.parameters">
<code class="sig-name descname">parameters</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.parameters" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="utils.brms_transformer.TreeToPostgreSQL.parameter">
<code class="sig-name descname">parameter</code><span class="sig-paren">(</span><em class="sig-param">tree</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.TreeToPostgreSQL.parameter" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="function">
<dt id="utils.brms_transformer.to_json">
<code class="sig-prename descclassname">utils.brms_transformer.</code><code class="sig-name descname">to_json</code><span class="sig-paren">(</span><em class="sig-param">tree</em>, <em class="sig-param">datasets: entity.datasets.Datasets</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.brms_transformer.to_json" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/utils.brms_transformer.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, AxtriaOne.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.3.1.
    </div>
  </body>
</html>